package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import java.util.Date;

/**
 * 日余额信息
 *
 * @author y
 * @create 2022/5/10
 */
@Data
public class FollowDailyBalanceTable extends BaseTable {

    private Long login;
    /**
     * 日期开始净值
     */
    private Float startEquity;
    /**
     * 日期结束净值
     */
    private Float endEquity;
    /**
     * 日期开始余额
     */
    private Float startBalance;
    /**
     * 日期结束余额
     */
    private Float endBalance;

    private Date date;

    public static FollowDailyBalanceTable getInstance(){
        FollowDailyBalanceTable table = new FollowDailyBalanceTable();
        table.setStartEquity(0F);
        table.setEndEquity(0F);
        table.setStartBalance(0F);
        table.setEndBalance(0F);

        return table;
    }

}
